<?php
// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('NO_TIPO_MODALIDAD', 'doctrine');

/**
 * BaseNO_TIPO_MODALIDAD
 * 
 * 
 * 
 * @package    nomina
 * @subpackage model
 * @author     Manuel E Paredes Lopez
 * @version    SVN: $Id: Builder.php 7691 2011-02-04 15:43:29Z jwage $
 */
abstract class BaseNO_TIPO_MODALIDAD extends sfDoctrineRecord
{
    public function setTableDefinition()
    {
        $this->setTableName('NO_TIPO_MODALIDAD');
        $this->hasColumn('id_tipo_modalidad', 'integer', 20, array(
             'type' => 'integer',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => true,
             'length' => 20,
             ));
        $this->hasColumn('descripcion', 'string', 50, array(
             'notnull' => true,
             'type' => 'string',
             'fixed' => 0,
             'unsigned' => false,
             'primary' => false,
             'length' => 50,
             ));
        $this->hasColumn('estado', 'integer', 1, array(
             'notnull' => true,
             'type' => 'integer',
             'fixed' => 1,
             'unsigned' => false,
             'default' => '0',
             'primary' => false,
             'length' => 1,
             ));
    }

    public function setUp()
    {
        parent::setUp();
    }
}